var config = {
  name: "富茂",
  //url: "https://ciformall.youlane.cn/C/api",
  url: "http://89e4b9c3.ngrok.io/C/api",
  api: {
    /**
     * 接口用途:login
     */
    login: '/user/login',
    /**
     * 授权后获取用户的昵称,unionId等信息
     */
    getUserInfo: '/user/getUserInfo',
    /**
     * 接口用途:授权后获取用户的手机号
     */
    getUserPhone: '/user/getUserPhone',
    /**
     * 检查用户授权状态
     */
    checkUserStatus: '/user/checkUserStatus',
    /**
     * 检查用户手机授权状态
     */
    checkPhoneStatus: '/user/checkPhoneStatus',
    /**
     * 优惠券查询
     */
    couponList: '/wxCoupon/list',
    /**
     * 优惠券详情
     */
    couponDetail: '/wxCoupon/findById',
    /**
     * 业态查询
     */
    businessList: '/wxBusiness/list',  // TODO
    /**
     * 频道查询
     */
    couponChannelList: '/wxCouponChannel/list',
    /**
     * 下订单
     */
    orderSave: '/order/save',
    /**
     * 支付订单
     */
    payOrderCreate: '/pay/create',
    /**
     * 订单状态更新
     */
    payOrderUpdate: '/pay/updatePayOrder',
    /**
     * 订单列表
     */
    orderList: '/order/list',
    /**
     * 券包
     */
    couponOrderList: '/couponOrder/list',
    /**
     * 券包详情
     */
    couponOrderDetail: '/couponOrder/detail', /// TODO
    /**
     * 验证码发送
     */
    sendValidationCode: '/wxMsgValidationcode/sendvalidationcode',
    /**
     * 验证码确认
     */
    validationCode: '/wxMsgValidationcode/hasvalidationcode',
    /**
     * 车场信息获取
     */
    getParkInfo: '/wxPark/info',
    /**
     * 用户所绑车牌获取
     */
    userCarCount: '/user/carCount',
    /**
     * 用户所绑车牌获取
     */
    getUserCarList: '/user/carList',
    /**
     * 联合登录
     */
    carInit: '/car/init',
    /**
     * 绑车牌
     */
    bindCarNum: '/car/bindCar',
    /**
     * 解绑车牌
     */
    unbindCar: '/car/unbindCar',
    /**
     * 停车费
     */
    getCarStopFee: '/car/getCarStopFee',
    /**
     * 停车费抵扣 （TJD）
     */
    deductionFee: '/car/deductionFee',
    /**
    * 优免券领取
    */
    getCoupon: '/car/getCoupon',
  },

  weapp: {
    AppId: 'wx8eb8275b78db4ede',
  },
  ErrorCode: {
    NICK_NOT_AUTH: 11004,
    PHONE_NOT_AUTH: 11005,
    PHONE_IS_ENCRYPTED: 11006,
  },
};
/*
for (var key in config.api) {
   config.api[key] = apiPrefix + config.api[key];
}
*/
module.exports = config;