let config = require('../../../config/config.js')
let Http = require('../../../utils/HttpBasics')
let app = getApp()

Page({
  data: {
    tabs: [{
      key: 0,
      name: "全部"
    },
    {
      key: 1,
      name: "待付款"
    },
    {
      key: 2,
      name: "已完成"
    }
    ],
    list: [],
    current: '',
    current_scroll: '1'
  },
  onLoad(e) {
    this.getList(e.id, 1)
    this.setData({
      current_scroll: e.id
    });
  },
  getList(key, pageNum) {
    wx.showLoading({
      title: 'loading...',
    })
    Http.get({
      url: config.api.orderList,
      data: {
        pageNum: pageNum,
        pageSize: 3,
        orderStatus: key
      }
    }).then((res) => {
      wx.hideLoading();
      this.setData({
        list: res.data.list
      })
    })
  },
  handleChange({ detail }) {
    this.setData({
      current: detail.key
    });
  },
  handleChangeScroll({ detail }) {
    this.getList(detail.key, 1)
    this.setData({
      current_scroll: detail.key
    });
  },
})